package main

import (
    "fmt"
    "os"

    "gitea.sunhpc.com/kelvin/sunhpc/internal/app/control"
)

func main() {

	root := control.GetRootCommand()

	err := root.Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "ERROR: %s\n", err)
		if control.DebugFlag {
			fmt.Printf("\nSTACK TRACE: %+v\n", err)
		}
		os.Exit(255)
	}
}